/*
Module : HLINKCTRL.H
Purpose: Interface for a MFC class for a static text control class with hyperlink support
Created: PJN / HLINK/1 / 16-06-1997
History: None

Copyright (c) 1997 by PJ Naughter.  
All rights reserved.

*/


////////////////////////////////// Macros ///////////////////////////

#ifndef __HLINKCTRL_H__
#define __HLINKCTRL_H__



/////////////////////////// Classes /////////////////////////////////
class CHLinkCtrl : public CEdit
{
public:
	//Constructors / Destructors
	CHLinkCtrl();
	virtual ~CHLinkCtrl();

	//Set or get the hyperlink to use
	void SetHyperLink(const CString& sActualLink);
	void SetHyperLink(const CString& sActualLink, const CString& sLinkDescription, BOOL bShrinkToFit);
	CString GetActualHyperLink() const { return m_sActualLink; };
	CString GetHyperLinkDescription() const { return m_sLinkDescription; };

	//Set or get the hyperlink color 
	void SetLinkColor(const COLORREF& color);
	COLORREF GetLinkColor() { return m_Color; };

	//Set or get the hyperlink color for visited links
	void SetVisitedLinkColor(const COLORREF& color);
	COLORREF GetVisitedLinkColor() { return m_VisitedColor; };

	//Set or get whether the hyperlink has been visited
	void SetVisited(BOOL bVisited);
	BOOL GetVisited() { return m_bVisited; };

  //Gets whether the window is automatically adjusted to 
  //the size of the description text displayed
	BOOL GetShrinkToFit()	{ return m_bShrinkToFit; }

protected:
	//{{AFX_VIRTUAL(CHLinkCtrl)
	//}}AFX_VIRTUAL

	//{{AFX_MSG(CHLinkCtrl)
	afx_msg BOOL OnSetCursor(CWnd* pWnd, UINT nHitTest, UINT message);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg HBRUSH CtlColor(CDC* pDC, UINT nCtlColor);
	//}}AFX_MSG

	void SetActualHyperLink(const CString& sActualLink);
	void SetHyperLinkDescription(const CString& sLinkDescription);
	void ShrinkToFitEditBox();

	CString  m_sLinkDescription;
	CString  m_sActualLink;
	HCURSOR  m_hLinkCursor;
	COLORREF m_Color;
	COLORREF m_VisitedColor;
	BOOL     m_bVisited;
	BOOL     m_bShrinkToFit;

	DECLARE_MESSAGE_MAP()
};


#endif //__HLINKCTRL_H__
